Skip to main content

Evento price.updated

Disparado quando um preço muda via POST /v1/prices/:id ou quando DELETE /v1/prices/:id cai no caminho de desativação. data.object carrega o price completo no estado atual. data.previous_attributes traz só os campos que mudaram, com os valores anteriores.
{
  "id": "evt_123",
  "object": "event",
  "created_at": "2026-05-16T15:02:10Z",
  "data": {
    "object": {
      "id": "price_123",
      "object": "price",
      "created_at": "2026-05-16T14:09:27Z",
      "currency": "brl",
      "is_active": false,
      "livemode": true,
      "metadata": {},
      "name": "Mensal",
      "product": "prod_123",
      "recurring": {
        "interval": "month",
        "interval_count": 1,
        "trial_period_days": null,
        "usage_type": "licensed"
      },
      "tax_behavior": "unspecified",
      "type": "recurring",
      "unit_amount": 9990,
      "updated_at": "2026-05-16T15:02:10Z"
    },
    "previous_attributes": {
      "is_active": true
    }
  },
  "livemode": true,
  "organization": "org_123",
  "request": {
    "id": null
  },
  "type": "price.updated"
}